CSFML - C binding of the Simple and Fast Multimedia Library

CSFML

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Attributes | List of all members
sfEvent Union Reference

sfEvent defines a system event and its parameters More...

`#include <Event.h>`

## Public Attributes
sfEventType | type
| Type of the event. More...
sfSizeEvent | size
| Size event parameters. More...
sfKeyEvent | key
| Key event parameters. More...
sfTextEvent | text
| Text event parameters. More...
sfMouseMoveEvent | mouseMove
| Mouse move event parameters. More...
sfMouseButtonEvent | mouseButton
| Mouse button event parameters. More...
sfMouseWheelEvent | mouseWheel
| Mouse wheel event parameters (deprecated) More...
sfMouseWheelScrollEvent | mouseWheelScroll
| Mouse wheel event parameters. More...
sfJoystickMoveEvent | joystickMove
| Joystick move event parameters. More...
sfJoystickButtonEvent | joystickButton
| Joystick button event parameters. More...
sfJoystickConnectEvent | joystickConnect
| Joystick (dis)connect event parameters. More...
sfTouchEvent | touch
| Touch events parameters. More...
sfSensorEvent | sensor
| Sensor event parameters. More...

## Detailed Description

sfEvent defines a system event and its parameters

Definition at line 220 of file Event.h.

## Member Data Documentation

## ◆ joystickButton

sfJoystickButtonEvent sfEvent::joystickButton

Joystick button event parameters.

Definition at line 231 of file Event.h.

## ◆ joystickConnect

sfJoystickConnectEvent sfEvent::joystickConnect

Joystick (dis)connect event parameters.

Definition at line 232 of file Event.h.

## ◆ joystickMove

sfJoystickMoveEvent sfEvent::joystickMove

Joystick move event parameters.

Definition at line 230 of file Event.h.

## ◆ key

sfKeyEvent sfEvent::key

Key event parameters.

Definition at line 224 of file Event.h.

## ◆ mouseButton

sfMouseButtonEvent sfEvent::mouseButton

Mouse button event parameters.

Definition at line 227 of file Event.h.

## ◆ mouseMove

sfMouseMoveEvent sfEvent::mouseMove

Mouse move event parameters.

Definition at line 226 of file Event.h.

## ◆ mouseWheel

sfMouseWheelEvent sfEvent::mouseWheel

Mouse wheel event parameters (deprecated)

Definition at line 228 of file Event.h.

## ◆ mouseWheelScroll

sfMouseWheelScrollEvent sfEvent::mouseWheelScroll

Mouse wheel event parameters.

Definition at line 229 of file Event.h.

## ◆ sensor

sfSensorEvent sfEvent::sensor

Sensor event parameters.

Definition at line 234 of file Event.h.

## ◆ size

sfSizeEvent sfEvent::size

Size event parameters.

Definition at line 223 of file Event.h.

## ◆ text

sfTextEvent sfEvent::text

Text event parameters.

Definition at line 225 of file Event.h.

## ◆ touch

sfTouchEvent sfEvent::touch

Touch events parameters.

Definition at line 233 of file Event.h.

## ◆ type

sfEventType sfEvent::type

Type of the event.

Definition at line 222 of file Event.h.

The documentation for this union was generated from the following file:

- Event.h